### Method

# Gck ObjectCache update_finish

#### Declaration [src]

    gboolean
    gck_object_cache_update_finish (
      GckObjectCache* object,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Complete an asynchronous operation to update the object cache with given attributes.

#### Parameters

`result`

  Type: `GAsyncResult`

  The asynchronous result passed to the callback.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether the cache update was successful.